var search_data = {"index":{"searchIndex":["posix_mq","<<()","attr()","attr=()","autoclose=()","autoclose?()","clone()","close()","closed?()","dup()","for_fd()","name()","new()","nonblock=()","nonblock?()","notify()","notify=()","open()","receive()","send()","shift()","to_io()","tryreceive()","trysend()","tryshift()","unlink()","unlink()","license","news","readme","makefile","posix-mq-rb_1"],"longSearchIndex":["posix_mq","posix_mq#<<()","posix_mq#attr()","posix_mq#attr=()","posix_mq#autoclose=()","posix_mq#autoclose?()","posix_mq#clone()","posix_mq#close()","posix_mq#closed?()","posix_mq#dup()","posix_mq::for_fd()","posix_mq#name()","posix_mq::new()","posix_mq#nonblock=()","posix_mq#nonblock?()","posix_mq#notify()","posix_mq#notify=()","posix_mq::open()","posix_mq#receive()","posix_mq#send()","posix_mq#shift()","posix_mq#to_io()","posix_mq#tryreceive()","posix_mq#trysend()","posix_mq#tryshift()","posix_mq::unlink()","posix_mq#unlink()","","","","",""],"info":[["POSIX_MQ","","POSIX_MQ.html","","<p>This class represents an POSIX message queue descriptor (mqd_t) object.  It matches the C API for POSIX …\n"],["<<","POSIX_MQ","POSIX_MQ.html#method-i-3C-3C","(p1)","<p>Inserts the given <code>string</code> into the message queue with a default priority of 0 and no timeout.\n<p>Returns itself …\n"],["attr","POSIX_MQ","POSIX_MQ.html#method-i-attr","()","<p>Returns a POSIX_MQ::Attr struct containing the attributes of the message queue.  See the mq_getattr(3) …\n"],["attr=","POSIX_MQ","POSIX_MQ.html#method-i-attr-3D","(p1)","<p>Only the IO::NONBLOCK flag may be set or unset (zero) in this manner. See the mq_setattr(3) manpage for …\n"],["autoclose=","POSIX_MQ","POSIX_MQ.html#method-i-autoclose-3D","(p1)","<p>Determines whether or not the <em>mq</em> will be closed automatically at finalization.\n"],["autoclose?","POSIX_MQ","POSIX_MQ.html#method-i-autoclose-3F","()","<p>Returns whether or not the <em>mq</em> will be closed automatically at finalization.\n"],["clone","POSIX_MQ","POSIX_MQ.html#method-i-clone","()","<p>There&#39;s no point in ever cloning a POSIX_MQ object. All send/receive operations are atomic and only …\n"],["close","POSIX_MQ","POSIX_MQ.html#method-i-close","()","<p>Closes the underlying message queue descriptor. If this descriptor had a registered notification request, …\n"],["closed?","POSIX_MQ","POSIX_MQ.html#method-i-closed-3F","()","<p>Returns <code>true</code> if the message queue descriptor is closed and therefore unusable, otherwise <code>false</code>\n"],["dup","POSIX_MQ","POSIX_MQ.html#method-i-dup","()","<p>There&#39;s no point in ever duping a POSIX_MQ object. All send/receive operations are atomic and only …\n"],["for_fd","POSIX_MQ","POSIX_MQ.html#method-c-for_fd","(p1)","<p>Adopts a socket as a POSIX message queue. Argument will be checked to ensure it is a POSIX message queue …\n"],["name","POSIX_MQ","POSIX_MQ.html#method-i-name","()","<p>Returns the string name of message queue associated with <code>mq</code>\n"],["new","POSIX_MQ","POSIX_MQ.html#method-c-new","(p1, p2 = v2, p3 = v3, p4 = v4)","<p>Opens a POSIX message queue given by <code>name</code>.  <code>name</code> should start with a slash (“/”) for portable …\n"],["nonblock=","POSIX_MQ","POSIX_MQ.html#method-i-nonblock-3D","(p1)","<p>Enables or disables non-blocking operation for the message queue descriptor.  Errno::EAGAIN will be raised …\n"],["nonblock?","POSIX_MQ","POSIX_MQ.html#method-i-nonblock-3F","()","<p>Returns the current non-blocking state of the message queue descriptor.\n"],["notify","POSIX_MQ","POSIX_MQ.html#method-i-notify","(&block)","<p>Executes the given block upon reception of the next message in an empty queue.  If the message queue …\n"],["notify=","POSIX_MQ","POSIX_MQ.html#method-i-notify-3D","(p1)","<p>Registers the notification request to deliver a given <code>signal</code> to the current process when message is received. …\n"],["open","POSIX_MQ","POSIX_MQ.html#method-c-open","(*args)","<p>Opens a POSIX message queue and performs operations on the given block, closing the message queue at …\n"],["receive","POSIX_MQ","POSIX_MQ.html#method-i-receive","(*args)","<p>Takes the highest priority message off the queue and returns an array containing the message as a String …\n"],["send","POSIX_MQ","POSIX_MQ.html#method-i-send","(*args)","<p>Inserts the given <code>string</code> into the message queue with an optional, unsigned integer <code>priority</code>.  If the …\n"],["shift","POSIX_MQ","POSIX_MQ.html#method-i-shift","(*args)","<p>Takes the highest priority message off the queue and returns the message as a String.\n<p>If the optional …\n"],["to_io","POSIX_MQ","POSIX_MQ.html#method-i-to_io","()","<p>Returns an IO.select-able <code>IO</code> object.  This method is only available under Linux and FreeBSD and is not …\n"],["tryreceive","POSIX_MQ","POSIX_MQ.html#method-i-tryreceive","(*args)","<p>Exactly like POSIX_MQ#receive, except it returns <code>nil</code> instead of raising Errno::EAGAIN when non-blocking …\n"],["trysend","POSIX_MQ","POSIX_MQ.html#method-i-trysend","(*args)","<p>Exactly like POSIX_MQ#send, except it returns <code>false</code> instead of raising Errno::EAGAIN when non-blocking …\n"],["tryshift","POSIX_MQ","POSIX_MQ.html#method-i-tryshift","(*args)","<p>Exactly like POSIX_MQ#shift, except it returns <code>nil</code> instead of raising Errno::EAGAIN when non-blocking …\n"],["unlink","POSIX_MQ","POSIX_MQ.html#method-c-unlink","(p1)","<p>Unlinks the message queue given by <code>name</code>.  The queue will be destroyed when the last process with the …\n"],["unlink","POSIX_MQ","POSIX_MQ.html#method-i-unlink","()","<p>Unlinks the message queue to prevent other processes from accessing it. All existing queue descriptors …\n"],["LICENSE","","LICENSE.html","","<p>Ruby posix_mq is copyrighted Free Software by all contributors, see logs in revision control for names …\n"],["NEWS","","NEWS.html","","<p>Ruby posix_mq 2.4.1 / 2018-01-31 00:02 UTC\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">This</span> <span class=\"ruby-identifier\">release</span> <span class=\"ruby-identifier\">fixes</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-identifier\">problem</span> <span class=\"ruby-identifier\">affecting</span> <span class=\"ruby-identifier\">users</span> <span class=\"ruby-identifier\">of</span> <span class=\"ruby-identifier\">newer</span> <span class=\"ruby-identifier\">clang</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["README","","README.html","","<p>posix_mq - POSIX message queues for Ruby\n<p>POSIX message queues allow local processes to exchange data in …\n"],["Makefile","","ext/posix_mq/Makefile.html","","<p>SHELL = /bin/sh\n<p># V=0 quiet, V=1 verbose.  other values don&#39;t work. V = 1 Q1 = $(V:1=) Q = $(Q1:0=@) …\n"],["posix-mq-rb_1","","posix-mq-rb_1.html","","<p>olddoc_placeholder\n"]]}}